import java.util.Scanner;

public class Vector 
{
  Scanner teclado = new Scanner(System.in);
     private double x = 0.0;
     private double y = 0.0;
  
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.println("Operaciones con vectores en el plano");
       
    Vector v1 = new Vector();
    v1.leer();
    v1.imprimir();
    v1.calcularMagnitud();
    v1.calcularDireccion();
    
    Vector v2 = new Vector();
    v2.leer();
    v2.imprimir();
    v1.calcularMagnitud();
    v1.calcularDireccion();
    
    Vector v3 = v1.sumar(v2);
    v3.imprimir();
    
    Vector v4 = v1.restar(v2);
    v4.imprimir();
  }
  public boolean leer()
  {
    System.out.print("x");
    x = teclado.nextDouble();
    System.out.print("y");
    y = teclado.nextDouble();
    
    if(x!=0 && y!=0)
    return true; 
    else return false;
  }
  public void imprimir()
  {
    System.out.println("Vector (" + x + " , " + y +" ) "); 
  }
  
  public double calcularMagnitud()
  {
    double magnitud = Math.sqrt((x*x) + (y*y)); 
    
    return magnitud;
  }
  
  public double calcularDireccion()
  {
    double a = Math.atan2(y,x);
      
      return a;
  }
  
  public Vector sumar(Vector otro)
  {
    Vector resultado = new Vector();
    resultado.x = this.x + otro.x;
    resultado.y = this.y + otro.y;
    
    return resultado;
  }
  
  public Vector restar(Vector otro)
  {
    Vector resultado = new Vector();
    resultado.x = this.x - otro.x;
    resultado.y = this.y - otro.y;
    
    return resultado;
  }
  
}